--
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity CLKGEN is
	port (
		CLK50M		: in  std_logic;
		RSTN		: in  std_logic;
		CLK108MOUT	: out std_logic;
		LOCK_PLL	: out std_logic
	);
end CLKGEN;

architecture RTL of CLKGEN is

	component PLL108M is
		port (
			areset	: in  std_logic;
			inclk0	: in  std_logic;
			c0		: out std_logic;
			locked	: out std_logic
		);
	end component;

	signal aclr			: std_logic;

	signal lock_100m	: std_logic;

begin

	U_PLL108M : PLL108M
	port map (
		areset	=> aclr,
		inclk0	=> CLK50M,
		c0		=> CLK108MOUT,
		locked	=> lock_100m
	);

	aclr <= not RSTN;

	LOCK_PLL    <= lock_100m;

end RTL;
